# 如果和其他昵称插件兼容？

## 不兼容的原因

昵称插件将会尝试在 2 种场合修改玩家的名称：\
**Tab列表**: TAB 完全控制 TAB 列表并阻止其他插件尝试修改它。\
**名称标签**: TAB 故意阻止其他插件更改名称标签中的玩家名称，因为这会导致两个问题：

1.被昵称插件修改名称后的玩家不会有任何来自 TAB 的名称标签前缀/后缀。

2.被昵称插件修改名称后的玩家会出现在 TAB 列表（未排序）的顶部。

## 解决

解决这个问题的一个方法是使用这些昵称插件的变量符来代替玩家名称的变量符。\
这个变量符必须配置到使用昵称的组或者玩家的 `customtabname` 和/或者 `customtagname` 属性中，你也可以使用 `_DEFAULT_` 组代表所有玩家。\
**注意:** `customtagname` 需要启用 [无限制名称标签模式](https://docs.superiormc.cn/tab-wiki/core-features/wu-xian-zhi-ming-cheng-biao-qian-mo-shi)。

**示例:** 这个示例使用 Essentials 的变量符 `%essentials_nickname%` ，其来自 **PlaceholderAPI** 插件，所以不要忘记安装对应的 PAPI 拓展。

```
Groups:
  _DEFAULT_:
    customtabname: '%essentials_nickname%'
    customtagname: '%essentials_nickname%'
```

如果你想要你的昵称前面添加前缀，请查看 [小提示](https://docs.superiormc.cn/tab-wiki/other-guie/xiao-ti-shi)。

## 昵称插件示例

这些是一些昵称插件的 PlaceholderAPI 变量符，查看完整的列表可查看 [PlaceholderAPI](https://github.com/PlaceholderAPI/PlaceholderAPI/wiki/Placeholders)。\
Essentials: `%essentials_nickname%`\
EazyNick: `%eazynick_display_name%`\
CMI: `%cmi_user_nickname%`\
这不是最终列表，所有带有变量符的昵称插件都受支持。

## 根据它们的昵称来排序玩家

要想这么做，您需要你的昵称插件来更改权限组插件中玩家对应的权限组。如果您没有办法这么做，那么还有一个办法。\
您需要使用昵称插件为玩家添加一个权限组并使用来自 [分组](https://docs.superiormc.cn/tab-wiki/getting-start/fen-zu) 的第二个方法，但不是里面的按照预期配置列表，您应该恢复它。\
例如，当你将 `default` 组放置在 `owner` 前面时，在你同时拥有该两个组的情况下， (从昵称插件获得 `default` 组), TAB 将会选择并将你按照 `default` 组的成员排列。\
**警告:** 这只会玩家同时只有 1 个组时才会有用。如果服主、管理员或者其他的玩家拥有多个组，那么这不会起效，因为这会破坏基本的排列规则。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/tab-wiki/other-guie/ru-guo-he-qi-ta-ni-cheng-cha-jian-jian-rong.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
